.. toctree::
   :maxdepth: 2

Core FFT API
============

This are the core FFT classes.

Base FFT class
--------------

.. automodule:: pyvkfft.base
   :members:

CUDA FFT class
--------------

.. automodule:: pyvkfft.cuda
   :members:

OpenCL FFT class
----------------

.. automodule:: pyvkfft.opencl
   :members:

Auto-tuning functions
---------------------

.. automodule:: pyvkfft.tune
   :members:

Configuration module
--------------------

.. automodule:: pyvkfft.config
   :members: FFT_CACHE_NB, USE_LUT, WARN_OPENCL_QUEUE_MISMATCH
